Mantis Bug Tracker
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023402Community[OCCT] OCCT:Modeling Algorithmspublic2012-08-25 05:382013-12-19 13:55
ReporterHayashi 
Assigned Toika 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0023402: Issue in BRepAlgoAPI_Common - SOLID and FACE
DescriptionPost from the Forum - http://www.opencascade.org/org/forum/thread_23663/. [^]

Draw Test:

pload ALL
polyline l 0 0 0 0 5 0 0 5 5 0 3 5 0 3 3 0 2 3 0 2 5 0 0 5 0 0 0
mkplane sf l
prism s sf 5 0 0
polyline w1 -2 2.5 2 7 2.5 2 7 7 2 -2 7 2 -2 2.5 2
mkplane f1 w1
bop s f1
bopcommon c1
ttranslate c1 0 0 5
polyline w2 -2 2.5 3 7 2.5 3 7 7 3 -2 7 3 -2 2.5 3
mkplane f2 w2
bop s f2
bopcommon c2
ttranslate c2 0 0 5
polyline w3 -2 2.5 4 7 2.5 4 7 7 4 -2 7 4 -2 2.5 4
mkplane f3 w3
bop s f3
bopcommon c3
ttranslate c3 0 0 5

The result of c2 was one FACE although I expected that two FACEs returned.
TagsNo tags attached.
Test case numberbugs modalg_5 bug23402
Attached Filespng file icon common.png (93,107 bytes) 2012-08-25 05:38

- Relationships

-  Notes
(0024307)
abv (manager)
2013-05-01 10:55

As reported by the user on the forum (see link in the description), the problem is solved by OCCT 6.6.0. I suggest the issue should be closed after checking this and adding a test case
(0024372)
apn (tester)
2013-05-13 16:08

Branch CR23402 was created from current state of master. Problem doesn't reproduce.
Test case bugs/modalg_5/bug23402 - OK.

- Related Changesets
occt: master 244587f4
Timestamp: 2013-04-29 12:13:25
Author: bugmaster
Committer: ika
Details ] Diff ]
0023402: Issue in BRepAlgoAPI_Common - SOLID and FACE

Added test case bugs/modalg_5/bug23402

Rebased on current state of master
add - tests/bugs/modalg_5/bug23402 Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-08-25 05:38 Hayashi New Issue
2012-08-25 05:38 Hayashi Assigned To => jgv
2012-08-25 05:38 Hayashi File Added: common.png
2013-05-01 10:55 abv Note Added: 0024307
2013-05-01 10:55 abv Assigned To jgv => apn
2013-05-01 10:55 abv Status new => feedback
2013-05-13 16:08 apn Note Added: 0024372
2013-05-13 16:08 apn Test case number => bugs modalg_5 bug23402
2013-05-13 16:08 apn Assigned To apn => bugmaster
2013-05-13 16:08 apn Status feedback => tested
2013-05-20 10:56 ika Changeset attached => occt master 244587f4
2013-05-20 10:56 ika Assigned To bugmaster => ika
2013-05-20 10:56 ika Status tested => verified
2013-05-20 10:56 ika Resolution open => fixed
2013-05-20 16:53 bugmaster Target Version => 6.7.0
2013-12-19 13:53 bugmaster Status verified => closed
2013-12-19 13:55 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker